using System.ComponentModel.DataAnnotations;

namespace GestionIntegral.Api.Dtos.Distribucion
{
    public class UpdatePrecioDto // Para actualizar un IdPrecio específico
    {
        // IdPublicacion no se puede cambiar una vez creado el precio (se borraría y crearía uno nuevo)
        // VigenciaD tampoco se debería cambiar directamente, se maneja creando nuevos periodos.
        public DateTime? VigenciaH { get; set; } // Para cerrar un periodo

        [Range(0, 999999.99, ErrorMessage = "El precio debe ser un valor positivo.")]
        public decimal? Lunes { get; set; }
        [Range(0, 999999.99, ErrorMessage = "El precio debe ser un valor positivo.")]
        public decimal? Martes { get; set; }
        [Range(0, 999999.99, ErrorMessage = "El precio debe ser un valor positivo.")]
        public decimal? Miercoles { get; set; }
        [Range(0, 999999.99, ErrorMessage = "El precio debe ser un valor positivo.")]
        public decimal? Jueves { get; set; }
        [Range(0, 999999.99, ErrorMessage = "El precio debe ser un valor positivo.")]
        public decimal? Viernes { get; set; }
        [Range(0, 999999.99, ErrorMessage = "El precio debe ser un valor positivo.")]
        public decimal? Sabado { get; set; }
        [Range(0, 999999.99, ErrorMessage = "El precio debe ser un valor positivo.")]
        public decimal? Domingo { get; set; }
    }
}